Subject: [alto] Interop question: How strict should a server be?

From: Wendy Roome <[email-masked]>
Date: Thu, 21 Mar 2013 09:48:35 -0400

I just discovered that the current draft requires the client to provide
the cost-type and cost-mode parameters for a filtered cost map request.
Early drafts said they were optional, with defaults of routingcost and
numerical. I hadn't noticed the change, so my ALTO server still treats
them as optional.

As a result, my server accepts requests that other servers reject. Clients
may think that those other servers are broken, while in reality, my server
is incorrect. Some of you may recall a parallel with the browser wars of
the 90s. Internet Explorer tolerated common HTML errors, while Netscape
didn't. Pages that looked fine in Explorer didn't work in Netscape, so
users (and some developers!) thought that Netscape wasn't working.

So here's my question for the group: how strictly should a server enforce
such rules? And should our interop tests check for strict enforcement of
required parameters?

	- Wendy Roome